### File

`packages/eui-mobile/packages/core/src/lib/components/euim-multiselect/euim-multiselect.component.ts`

### Implements

`OnInit` `AfterContentChecked` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
exportAs | `euimMultiselect`
selector | `euim-multiselect`
styleUrls | `./styles/_index.scss`
templateUrl | `./euim-multiselect.component.html`

### Index

###### Properties

- className
- indeterminate
- initialDataProvider
- numberOfSelected
- selectAll

###### Methods

- countSelectedItems
- deselectAllItems
- selectAllItems
- selectByIndex
- selectedItems

###### Inputs

- currentDataProvider
- euimKeepSelection
- toolbarTitle

###### HostBindings

- class

### Constructor

`constructor(ref: ChangeDetectorRef)`

Parameters :

Name | Type | Optional
ref | `ChangeDetectorRef` | No

### Inputs

currentDataProvider
Type : `any[]`

euimKeepSelection
Type : `boolean`
Default value : `false`

toolbarTitle
Type : `string`

### HostBindings

class
Type : `string`
Default value : `'euim-multiselect'`

### Methods

countSelectedItems
`countSelectedItems()`
Returns : `number`

deselectAllItems
`deselectAllItems()`
Returns : `void`

selectAllItems
`selectAllItems()`
Returns : `void`

selectByIndex
`selectByIndex(index: number, state)`

Parameters :

Name | Type | Optional | Default value
index | `number` | No |
state |  | No | `true`

Returns : `void`

selectedItems
`selectedItems()`
Returns : `any[]`

### Properties

className
Type : `string`
Default value : `'euim-multiselect'`
Decorators : `@HostBinding('class')`

indeterminate
Type : `boolean`

initialDataProvider
Type : `any[]`

numberOfSelected
Type : `number`
Default value : `0`

selectAll
Type : `boolean`

# results matching ""

# No results matching ""